Page MenuHomePhabricator

Ensure all wikidata "libraries" don't interact with MediaWiki and are independent
Closed, ResolvedPublic

Description

Event Timeline

Addshore updated the task description. (Show Details)Aug 23 2017, 2:40 PM
WMDE-leszek updated the task description. (Show Details)Aug 30 2017, 1:32 PM
Addshore updated the task description. (Show Details)

Looks like all subtasks are closed!

We should probably do 1 more sweep of the libs in the build and double check and then close this task!

thiemowmde triaged this task as Medium priority.Sep 4 2017, 10:54 AM

Whats with wikibase/serialization-javascript? This and multiple other components are still doing the following MediaWiki-things:

  • An extension registration is done for the only reason the library shows up on Special:Version.
  • JavaScript resources are registered via the $wgResourceModules global.
  • QUnit tests are registered via $wgHooks['ResourceLoaderTestModules'].

Are these things a problem for what this ticket here cares about?

@thiemowmde those are not really covered by this ticket.
In the parent ticket there is currently an item in the list referring to the JS stuff, that is where these repos below.
I believe @WMDE-leszek is writing a task summing up the ideas regarding the JS area today.

For JS libs issues/decisions/actions, see: T174922.

Addshore closed this task as Resolved.Sep 18 2017, 7:11 PM